# This is the finished implementation of the story, allowing for the scenarios to be executed

require 'rubygems'
require 'spec/story'
require File.dirname(__FILE__) + '/CSharpAssembly/CSharpAssembly/bin/Debug/CSharpAssembly.dll'


steps_for(:product_x) do
  
  Given("Product $productName at $price") do |productName, price|
    @product = CSharpNamespace::Product.new(productName, price.to_i)
  end
    
  When("user orders a $amount user license") do |amount|
    @order = CSharpNamespace::Order.new(@product)
    @order.NumberOfLicenses = amount.to_i
  end
  
  When("this does not include support") do
    #@order.support = nil
  end
  
  Then("the price should be $price") do |price|
    @order.Subtotal.should == price.to_i
  end
  
end

with_steps_for(:product_x) do
  run File.dirname(__FILE__) + "/pricing_scenarios_for_product_x"
end

